﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Markup;
using System.Windows.Media;
using System.Xml;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            Width      = 800;
            Height     = 600;
            Title      = "내장 XAML 로드하기";
            FontFamily = new FontFamily("나눔고딕코딩");
            FontSize   = 16;

            string xaml = @"
<Button
    xmlns='http://schemas.microsoft.com/winfx/2006/xaml/presentation'
    Foreground='LightSeaGreen'
    FontSize='24pt'>
    Click me!
</Button>";

            StringReader stringReader = new StringReader(xaml);

            XmlTextReader xmlTextReader = new XmlTextReader(stringReader);

            object instance = XamlReader.Load(xmlTextReader);

            Content = instance;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        [STAThread]
        public static void Main()
        {
            Application application = new Application();

            application.Run(new MainWindow());
        }

        #endregion
    }
}